<?php

namespace App\Http\Controllers;

use App\Blog;
use App\Faq;
use App\Language;
use App\Partner;
use App\Service;
use App\Setting;
use App\Slider;
use App\Subscribe;
use Illuminate\Http\Request;
use Auth;
use Mail;
use Carbon\Carbon;

class FrontendController extends Controller
{
    public function home()
    {



        $services = Service::all();
        $faqs = Faq::all();
        $blogs = Blog::latest()->take(3)->get();
        $partners = Partner::all();
        $slider = Slider::all();
        return view('frontend.index', compact('faqs', 'services', 'blogs', 'partners', 'slider'));
    }


  public function about()
    {
        $services = Service::all();
        $faqs = Faq::all();
        $blogs = Blog::latest()->take(3)->get();
        $partners = Partner::all();
        $slider = Slider::all();
        return view('frontend.about', compact('faqs', 'services', 'blogs', 'partners', 'slider'));
    }
      public function faq()
    {
        $services = Service::all();
        $faqs = Faq::all();
        $blogs = Blog::latest()->take(3)->get();
        $partners = Partner::all();
        $slider = Slider::all();
        return view('frontend.faq', compact('faqs', 'services', 'blogs', 'partners', 'slider'));
    }





    public function login()
    {
        if (Auth::user()){
            return  redirect()->route('user.dashboard');
        }

        return view('frontend.login');

    }


    public function loginotp(Request $request)
    {
		$user = Auth::user();
        if ($user->otpcode = $request->password){
        $code = substr(uniqid(), 0, 6);
        $user->otpcode = $code;
        $user->otptime = Carbon::parse()->addMinute(10);
        $user->save();

			
		    return redirect()->route('user.dashboard');
        } 
		else{
		 return back()->withErrors('Invalid code, please try again');
		 }
    }
	
    public function userlogin()
    {

        return redirect()->route('login');
    }

  public function sendloginotp(Request $request)
    { 
	   $user = Auth::user();
	         $to_name = $user->username;
            $sitename = env('APP_NAME');
            $to_email = $user->email;
            $heading = "One Time Password";
            $msg = "Your Login Passord Is: ". $user->otpcode ;
           
            $data = array("name"=> $user->username,"heading"=>"One Time Password", "body" => $msg);

            Mail::send("mail", $data, function($message) use ($to_name,  $heading, $to_email) {
            $message->to($to_email, $to_name,  $heading)
            ->subject("One Time Password");

             $message->from(env('MAIL_USERNAME'),env('APP_NAME'));
            }); 
                
	    return redirect()->back()->with('success','Your login OTP has been sent to your email address. Please check your inbox or spam box for details');

    }


    public function registrationFrom()
    {
        $setting = Setting::first();
        $registration = $setting->registration;
        if ($registration == 1 )
            return view('frontend.register');
        else
            return redirect()->route('homePage')->withErrors('Registration temporary off');
    }

    public function blog()
    {
        $blogs = Blog::latest()->paginate(9);
        return view('frontend.blogs', compact('blogs'));
    }

    public function singleBlog($id, $slug)
    {

        $blog = Blog::findOrfail($id);
        $latest = Blog::latest()->take(5)->get();
        return view('frontend.singleBlog', compact('blog', 'latest'));

    }

    public function contact()
    {
        return view('frontend.contact');
    }


    public function ContactSubmit(Request $request)
    {






        $this->validate($request,[
            'name'=>'required|max:191',
            'email'=>'required|email|max:191',
            'subject'=>'required|max:191',
            'message'=>'required',
        ]);

        $gs = Setting::first();



        $from = $request->email;
        $to = $gs->email_from;
        $subject = $request->subject;
        $name = $request->name;
        $message = nl2br($request->message . "<br /><br />From <strong>" .$request->name . "</strong>");

        $headers = "From: $name <$from> \r\n";
        $headers .= "Reply-To: $name <$from> \r\n";
        $headers .= "MIME-Version: 1.0\r\n";
        $headers .= "Content-Type: text/html; charset=ISO-8859-1\r\n";
        mail($to, $subject, $message, $headers);


        return redirect()->back()->with('success','Your Message was sent successfully');

    }



    public function subscribePost(Request $request)
    {

        $this->validate($request,[
            'email'=>'required|email|max:191',
        ]);
        $email =  Subscribe::where('email', $request->email)->first();

        if ($email == NULL)
        {
            $data = new Subscribe();
            $data->email = $request->email;
            $data->save();
            return redirect()->back()->with('success', 'Thanks for  Subscribe');

        }else{

            return redirect()->back()->withErrors('This email already taken');
        }

    }




    public function changeLang($lang)
    {


        $language = Language::where('code', $lang)->first();
        if (!$language) $lang = 'en';
        session()->put('lang', strtolower($lang));
        return \redirect()->back();
    }



}
