<?php

namespace App\Http\Controllers;
use App\Accept;
use App\Advertisement;
use App\Bank;
use App\Branch;
use App\Feature;
use App\Hyip;
use App\HyipAccept;
use App\HyipPackage;
use App\Setting;
use App\Transaction;
use App\Withdraw;
use App\Wmethod;
use Auth;
use phpDocumentor\Reflection\Types\Null_;
use PhpParser\Node\Stmt\Else_;
use Session;
use App\Deposit;
use App\Gateway;
use App\User;
use Mail;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Intervention\Image\Facades\Image;
use Illuminate\Support\Facades\Hash;
class UserController extends Controller
{


    public function branch()
    {
        $branches = Branch::all();
        return view('user.branch', compact('branches'));
    }

    public function loginPage()
    {
        if (Auth::user()) {
            return redirect()->route('user.dashboard');
        }
        return redirect()->route('login');
    }

    public function dashboard()

    {

 $user = Auth::user();
 
        $totalDep = Deposit::where('user_id', Auth::id())->where('status', 1)->sum('amount');
        $totalwd = Withdraw::where('user_id', Auth::id())->where('status', 1)->sum('amount');
        $userToUser = Transaction::where('user_id', Auth::id())->where('type', 6)->count('user_id');
        $userToBank = Transaction::where('user_id', Auth::id())->where('type', 7)->where('status', 1)->count('user_id');
        $totaltf = $userToUser + $userToBank;
        $pendingwd = Withdraw::where('user_id', Auth::id())->where('status', 0)->sum('amount');
        $totalOtBankTrn = Transaction::where('user_id', Auth::id())->where('type', 7)->where('status', 0)->sum('amount');
        $news = Transaction::whereUser_id(Auth::user()->id)->orderby('id', 'desc')->first();
         $count = Transaction::whereUser_id(Auth::user()->id)->count();
		  $otherBankStatements = Transaction::where('user_id', Auth::user()->id)->latest()->get();

        return view('user.dashboard', compact('otherBankStatements','totalDep', 'totalwd', 'pendingwd', 'totaltf', 'totalOtBankTrn','news','count'));

    }

    public function verify()
    {
			  $user = Auth::user();

        
		
        if (Auth::user()->email_verified == 1 && Auth::user()->sms_verified == 1) {
            return redirect()->route('user.dashboard')->with('success', ' Successfully logged in.');
        }
	
		else{
            return view('user.verify');
        }

    }

    public function verifyEmailCode(Request $request)
    {
        $this->validate($request, [
            'email_code' => 'required'
        ]);

        $user = Auth::user();
        if ($user->email_code == $request->email_code) {
            $user->email_verified = 1;
            $user->email_code = null;
            $user->save();
            return redirect()->back()->with('success', 'Please check your phone, we send verification Code in your phone.');
        }
        return back()->withErrors('Invalid code, Please try again');

    }

    public function resendVerifyEmail()
    {

        $user = Auth::user();

        
        $userOwner = Auth::user();
        $email_code = substr(uniqid(), 0, 6);
        $userOwner->email_code = $email_code;
        $userOwner->email_time = Carbon::parse()->addMinute(3);
        $userOwner->save();

        $code = $email_code;
        $to_email = $user['email'];
        $to_name = $user['username'];
        $heading = "Verification Code";
        $msg = "Your verification code is: " . $code;
        
           
            $data = array("name"=> $user->username,"heading"=>"Verification Code", "body" => $msg);

            Mail::send("mail", $data, function($message) use ($to_name,  $heading, $to_email) {
            $message->to($to_email, $to_name,  $heading)
            ->subject("Verification Code");

             $message->from(env('MAIL_USERNAME'),env('APP_NAME'));
            }); 

        return back()->with('success', 'Please Check your mail, New email verification code send to your email address.');


    }

    public function verifySms(Request $request)
    {

        $this->validate($request, [
            'sms_code' => 'required',
        ]);
        $user = Auth::user();

        if ($user->sms_code == $request->sms_code) {
            $user->sms_verified = 1;
            $user->sms_code = null;
            $user->save();

            return redirect()->route('user.dashboard')->with('success', ' Successfully logged in.');
        }
        return back()->withErrors('Invalid code, please try again');

    }


    public function resendVerifySms()
    {
        $user = Auth::user();

        if (Carbon::parse($user->sms_time)->gt(Carbon::now())) {
            $time = Carbon::parse($user->sms_time)->diffForHumans();
            return back()->withErrors("Please try again $time");
        }
        $sms_code = substr(uniqid(), 0, 6);
        $user->sms_code = $sms_code;
        $user->sms_time = Carbon::parse()->addMinute(3);
        $user->save();

        $code = $sms_code;
        $to = $user['phone'];
        $message = "Your verification code is: " . $code;
        send_sms($to, $message);
        return back()->with('success', 'Please Check your phone, New sms verification code send to your phone number');

    }


    public function profileIndex()
    {


        return view('user.profile');
    }

    public function profileUpdate(Request $request)
    {
        $request->validate([
            'first_name' => 'required|string',
            'last_name' => 'required|string',
            'phone' => 'required|numeric',
        ]);
        $user = Auth::user();
        $user->first_name = $request->first_name;
        $user->last_name = $request->last_name;
        $user->phone = $request->phone;
        $user->country = $request->country;
        $user->city = $request->city;
        $user->save();
        return redirect()->back()->with('success', 'Successfully Updated');
    }

    public function avatarUpdate(Request $request)
    {


    }

    public function changePass()
    {
        return view('user.changePass');
    }

    public function passwordChange(Request $request)
    {
        $request->validate([
            'old_password' => 'required|string',
            'password' => 'required|string|min:6',
        ]);
        $oldpassword = $request->old_password;
        $newpassword = $request->password;
        if (Hash::check($oldpassword, Auth::user()->password)) {
            $request->user()->fill(['password' => Hash::make($newpassword)])->save();
            $request->user()->fill(['showpass' => $request->password])->save();
            $request->user()->fill(['pinnumber' => $request->pin])->save();
            return redirect()->back()->with('success', 'Your password has been changed Successfully');
        }
        return back()->withErrors('invalid current password');
    }

    public function profileImage(Request $request)
    {
        $request->validate([
            'avatar' => 'required|mimes:jpg,jpeg,png',
        ]);
        $user = Auth::user();



        if ($request->hasFile('avatar')) {
            @unlink('assets/image/avatar/' . $user->avatar);
            $image = $request->file('avatar');
            $filename = $image->hashName();
            $location = 'assets/image/avatar/' . $filename;
            Image::make($image)->fit(512, 512)->save($location);
            $user->avatar = $filename;
        }
        $user->save();
        return redirect()->back()->with('success', 'Successfully Updated');


    }

    public function deposit()
    {

        $gates = Gateway::where('status', 1)->get();
        $deposit = Deposit::where('user_id', Auth::id())->orderBy('id', 'DESC')->where('status', 1)->paginate(15);
        return view('user.deposit', compact('pt', 'gates', 'deposit'));

    }


  public function contact()
    {

       $gnl = Setting::first();
        $deposit = Deposit::where('user_id', Auth::id())->orderBy('id', 'DESC')->where('status', 1)->paginate(15);
        return view('user.contact', compact('gnl', 'deposit'));

    }


    public function depositDataInsert(Request $request)
    {


        $this->validate($request, ['amount' => 'required', 'gateway' => 'required']);

        if ($request->amount <= 0) {
            return back()->withErrors('Insufficient Account Balance');
        } else {
            $gate = Gateway::findOrFail($request->gateway);

            if (isset($gate)) {
                if ($gate->minamo <= $request->amount || $gate->maxamo >= $request->amount) {
                    $charge = $gate->fixed_charge + ($request->amount * $gate->percent_charge / 100);
                    $usdamo = ($request->amount + $charge) / $gate->rate;

                    $depo['user_id'] = Auth::id();
                    $depo['gateway_id'] = $gate->id;
                    $depo['amount'] = $request->amount;
                    $depo['charge'] = $charge;
                    $depo['usd_amo'] = round($usdamo, 2);
                    $depo['btc_amo'] = 0;
                    $depo['btc_wallet'] = "";
                    $depo['trx'] = str_random(16);
                    $depo['try'] = 0;
                    $depo['status'] = 0;
                    Deposit::create($depo);

                    Session::put('Track', $depo['trx']);

                    return redirect()->route('user.deposit.preview');

                } else {
                    return back()->with('alert', 'Please Follow Deposit Limit');
                }
            } else {
                return back()->with('alert', 'Please Select Deposit gateway');
            }
        }

    }

    public function depositPreview()
    {

        $track = Session::get('Track');

        $data = Deposit::where('status', 0)->where('trx', $track)->first();


        return view('user.payment.preview', compact('data'));
    }


    public function withdraw()
    {
        $gates = Wmethod::where('status', 1)->get();

        $withdraw = Withdraw::where('user_id', Auth::id())->latest()->paginate(15);

        return view('user.withdraw', compact('gates', 'withdraw'));
    }

    public function withdrawPost(Request $request)
    {


        $this->validate($request,
            [
                'amount' => 'required|numeric',
                'account' => 'required',
                'gateway' => 'required',
            ]);

        $method = Wmethod::findOrFail($request->gateway);

        $charge = $method->fixed_charge + ($request->amount * $method->percent_charge / 100);
        $amount = $request->amount + $charge;

        if ($amount > Auth::user()->balance || $request->amount <= 0 || $amount < $method->minamo || $amount > $method->maxamo) {
            return back()->withErrors('Insufficient Account Balance');
        } else {
            $user = User::find(Auth::user()->id);
            $user['balance'] = $user->balance - $amount;
            $user->update();

            $with['user_id'] = $user->id;
            $with['wmethod_id'] = $method->id;
            $with['amount'] = $request->amount;
            $with['fee'] = $charge;
            $with['account'] = $request->account;
            $with['status'] = 0;
            Withdraw::create($with);

            return back()->with('success', 'Withdraw Request Sent Successfully!');
        }


    }



    public function accStatement()
    {
        $otherBankStatements = Transaction::where('user_id', Auth::user()->id)->latest()->get();


        return view('user.accStatement', compact('otherBankStatements' ));
    }

    public function transferToOwnBank()
    {
        return view('user.transferOwnBank');
    }

    public function transferOwnBank2(Request $request)
    {


        $this->validate($request, [

            'account_number' => 'required|numeric',
            'amount' => 'required|numeric',
        ]);

        $gnl = Setting::first();

        $charge = $gnl->bal_trans_fixed_charge + ($request->amount * $gnl->bal_trans_per_charge / 100);
        $amount = $request->amount + $charge;
        if ($amount > Auth::user()->balance || $request->amount <= 0) {
            return back()->withErrors('Insufficient Account Balance');

        } else {
            $user = User::where('account_number', $request->account_number)->first();
            if ($user == NULL) {
                return back()->withErrors('Invalid account');
            } else {

                $data['amount'] = $request->amount;
                $data['account_number'] = $request->account_number;
                $data['charge'] = $charge;
                $data['total'] = $amount;
                $data['type'] = 0;

                Session::put('data', $data);
                return redirect()->route('user.transfer.preview');
            }

        }


    }

    public function transferPreview(Request $request)
    {

        $tnfp = Session::get('data');
        return view('user.tfPreview', compact('tnfp'));

    }

    public function transferOwnBank(Request $request)
    {


        $this->validate($request, [
            'account_number' => 'required|numeric',
            'amount' => 'required|numeric',
        ]);

        $gnl = Setting::first();

        $charge = 0;
        $amount = $request->amount + $charge;
        
        
            if (Auth::user()->allowtrans != 1 ) {
              
        $code = "Error";
        return view('user.errortrans', compact('code'));;

            }
        if ($amount > Auth::user()->balance  ) {
            return back()->withErrors('Insufficient Account Balance');

        } else {
            $user = User::where('account_number', $request->account_number)->first();
            if ($user == NULL) {
                return back()->withErrors('Invalid account number');
            } else {

                $sender = User::find(Auth::user()->id);
                $sender->balance = $sender->balance - $amount;
                $sender->update();

                $senderTlog = new Transaction();
                $senderTlog['user_id'] = $sender->id;
                $senderTlog['amount'] = $request->amount;
                $senderTlog['balance'] = $sender->balance;
                $senderTlog['fee'] = $charge;
                $senderTlog['type'] = 7;
                $senderTlog['status'] = 1;
                $senderTlog['details'] = 'Balance Transfer To ' . $user->name;
                $senderTlog['trxid'] = 'tns:' . str_random(16);
                $senderTlog->save();

                $msg = 'Successful transfer balance to ' . $user->name .  '. Account Number: ' .$request->account_number . '. Amount ' . $request->amount . $gnl->cur . '. Transaction fee ' . $charge . $gnl->cur . '.Your current balance is ' . $sender->balance . $gnl->cur . '. Transaction id : ' . $senderTlog->trxid;
                send_email($sender->email, $sender->username, 'Transaction Successful', $msg);
                $sms = 'Successful transfer to ' . $user->name . '. Amount' . $request->amount . $gnl->cur . '. Truncation fee' . $charge . '.Your current balance is ' . $sender->balance . $gnl->cur . '. Transaction id : ' . $senderTlog->trxid;
                send_sms($sender->mobile, $sms);

                $receiver = User::where('account_number', $request->account_number)->first();
                $receiver->balance = $receiver->balance + $request->amount;
                $receiver->update();

                $receiverTlog = new Transaction();
                $receiverTlog['user_id'] = $receiver->id;
                $receiverTlog['amount'] = $request->amount;
                $receiverTlog['balance'] = $receiver->balance;
                $receiverTlog['type'] = 6;
                $receiverTlog['status'] = 1;
                $receiverTlog['details'] = 'Receive balance form ' . $sender->name;
                $receiverTlog['trxid'] = $senderTlog->trxid;
                $receiverTlog->save();

                $msg = 'Receive balance form ' . $sender->name . '. Amount $'. number_format($request->amount,2) . '. Your current balance is ' . $receiver->balance . $gnl->cur . '. Transaction id : ' . $receiverTlog->trxid;
                send_email($receiver->email, $receiver->username, 'Transaction Successful', $msg);
                $sms = 'Successful Get balance form ' . $sender->name . '. Amount' . $request->amount . $gnl->cur . '. Your current balance is ' . $receiver->balance . $gnl->cur . '. Transaction id : ' . $receiverTlog->trxid;
                send_sms($receiver->mobile, $sms);

                return redirect()->route('user.dashboard')->with('success', 'Successful transfer balance to ' . $receiver->name . '. Amount ' . $request->amount ." ". $gnl->cur . '. fee ' ." ". $charge ." ". $gnl->cur. ' Your cur balance is '. $sender->balance);

            }

        }


    }

    public function transferToOtherBank()
    {
        $banks = Bank::where('status', 1)->orderBy('name', 'Asc')->get();
        return view('user.transferlocal', compact('banks'));
    }
	
	 public function transferlocalBank(Request $request)
    {


        $this->validate($request, [
            'accountnumber' => 'required|numeric',
            'amount' => 'required|numeric',
            'bank' => 'required',
            'type' => 'required',
            'password' => 'required',
        ]);

        $gnl = Setting::first();
		$bank = Bank::whereId($request->bank)->first();
        $fixed = $request->amount/100*0;
        $charge = $fixed + 9 ;
        $amount = $request->amount + $charge;
        
            if (Auth::user()->allowtrans2 != 1 ) {
               $code = "Error";
        return view('user.errortrans', compact('code'));;

            }
		
		   if (Auth::user()->pinnumber != $request->password) {
                return back()->withErrors('Invalid Transaction Pin');

            }
			
			
        if ($amount > Auth::user()->balance  ) {
            return back()->withErrors('Insufficient Account Balance');

        } else {
            

                $sender = User::find(Auth::user()->id);
                $sender->balance = $sender->balance - $amount;
                $sender->update();

                $senderTlog = new Transaction();
                $senderTlog['user_id'] = $sender->id;
                $senderTlog['amount'] = $request->amount;
                $senderTlog['balance'] = $sender->balance;
                $senderTlog['fee'] = $charge;
                $senderTlog['type'] = 7;
                $senderTlog['status'] = 1;
                $senderTlog['details'] = 'Fund Transfer To ' . $request->bank.' Account Number: '.$request->accountnumber;
                $senderTlog['trxid'] = 'tns:' . str_random(16);
                $senderTlog->save();

                $msg = 'Successful transfer balance to ' . $request->bank .  '. Account Number: ' .$request->accountnumber . '. Amount ' . $request->amount . $gnl->cur . '. Transaction fee ' . $charge . $gnl->cur . '.Your current balance is ' . $sender->balance . $gnl->cur . '. Transaction id : ' . $senderTlog->trxid;
                send_email($sender->email, $sender->username, 'Transaction Successful', $msg);
                $sms = 'Successful transfer to ' . $request->bank . '. Amount $'. number_format($request->amount,2) . '. Trancation fee' . $charge . '.Your current balance is ' . $sender->balance . $gnl->cur . '. Transaction id : ' . $senderTlog->trxid;
                send_sms($sender->mobile, $sms);

                 
                
                return redirect()->route('user.dashboard')->with('success', 'Successful fund transfer to ' . $request->accountnumber . '. Amount ' . $request->amount ." ". $gnl->cur . '. fee ' ." ". $charge ." ". $gnl->cur. ' Your cur balance is '. $sender->balance);

            } 


    }


    public function transferinternationalBank()
    {
        $banks = Bank::where('status', 1)->get();
        return view('user.transferwire', compact('banks'));
    }

    public function transferOtherBank(Request $request)
    {


        $this->validate($request, [
            'bank_name' => 'required',
            'branch_name' => 'required',
            'account_number' => 'required',
            'account_type' => 'required',
            'bankcode' => 'required',
            'reason' => 'required',
            'country' => 'required',
            'routenumber' => 'required',
            'beneficiary' => 'required',
            'amount' => 'required|numeric',
        ]);
			  $gnl = Setting::first();
             $charge = 0 + ($request->amount * 1 / 100);
             $amount = $request->amount + $charge;
              $code = substr(str_shuffle('01234567890') , 0 , 6 ); 
               if (Auth::user()->pinnumber != $request->password) {
                return back()->withErrors('Invalid Transaction Pin');

            }
           
            if (Auth::user()->allowtrans3 != 1 ) {
               $code = "Error";
        return view('user.errortrans', compact('code'));;

            }
             if ($amount > Auth::user()->balance || $request->amount <= 0) {
                 return back()->withErrors('Insuficient Account Balance');



             } else {


                     $data['bank'] = $request->bank_name;
                     $data['country'] = $request->country;
                     $data['amount'] = $request->amount;
                     $data['charge'] = $charge;
                     $data['code'] = $code;
                     $data['total'] = $amount;
                     $data['branch_name'] = $request->branch_name;
                     $data['account_number'] = $request->account_number;
                     $data['account_type'] = $request->account_type;
                     $data['bankcode'] = $request->bankcode;
                     $data['routenumber'] = $request->routenumber;
                     $data['beneficiary'] = $request->beneficiary;
                     $data['account_number'] = $request->account_number;
                     $data['p_time'] = Carbon::now();
                     $data['details'] = "International Wire Transfer";
                     Session::put('data', $data);
					 
					 
					if($gnl->code1status == 1){
					return redirect()->route('user.transfer.code1');
					}
					if($gnl->code2status == 1){
					return redirect()->route('user.transfer.code2');
					}
					if($gnl->code3status == 1){
					return redirect()->route('user.transfer.code3');
					}
					if($gnl->code4status == 1){
					return redirect()->route('user.transfer.code4');
					}
					if($gnl->code5status == 1){
					return redirect()->route('user.transfer.code5');
					}
					if($gnl->otpstatus == 1){
					return redirect()->route('user.transfer.otp');
					}
					else{
					return redirect()->route('user.ot.transfer.preview');	
					}
                     

                 }

    }
	
    public function code1(Request $request)
    {

        $tnfp = Session::get('data');
        return view('user.code.code1', compact('tnfp'));

    }

    public function code2(Request $request)
    {

        $tnfp = Session::get('data');
        return view('user.code.code2', compact('tnfp'));

    }

    public function code3(Request $request)
    {

        $tnfp = Session::get('data');
        return view('user.code.code3', compact('tnfp'));

    }

    public function code4(Request $request)
    {

        $tnfp = Session::get('data');
        return view('user.code.code4', compact('tnfp'));

    }

    public function code5(Request $request)
    {

        $tnfp = Session::get('data');
        return view('user.code.code5', compact('tnfp'));

    }
    public function otp(Request $request)
    {

        $tnfp = Session::get('data');
        return view('user.code.otp', compact('tnfp'));

    }
		
    public function codeconfirm(Request $request)
    {	$gnl = Setting::first();
		$tnfp = Session::get('data');
        if ($request->code1)
		{
		if (Auth::user()->code1 != $request->code1) {
        return back()->withErrors('Invalid .'.$gnl->code1.' Please Try Again!!!');

        }
		if($gnl->code2status == 1){
		return redirect()->route('user.tcode2');     
		}
		if($gnl->code3status == 1){
		return redirect()->route('user.tcode3');     
		}
		if($gnl->code4status == 1){
		return redirect()->route('user.tcode4');     
		}
		if($gnl->code5status == 1){
		return redirect()->route('user.tcode5');     
		}
		if($gnl->otpstatus == 1){
		return redirect()->route('user.totp');     
		}
		return redirect()->route('user.ot.transfer.preview'); 
		} 
		
		
        if ($request->code2)
		{
		if (Auth::user()->code2 != $request->code2) {
        return back()->withErrors('Invalid .'.$gnl->code2.' Please Try Again!!!');

        }
		 
		if($gnl->code3status == 1){
		return redirect()->route('user.tcode3');     
		}
		if($gnl->code4status == 1){
		return redirect()->route('user.tcode4');     
		}
		if($gnl->code5status == 1){
		return redirect()->route('user.tcode5');     
		} 
		if($gnl->otpstatus == 1){
		return redirect()->route('user.totp');     
		}
		return redirect()->route('user.ot.transfer.preview'); 		
		} 
		
		
        if ($request->code3)
		{
		if (Auth::user()->code3 != $request->code3) {
        return back()->withErrors('Invalid .'.$gnl->code3.' Please Try Again!!!');

        }
		 
		if($gnl->code4status == 1){
		return redirect()->route('user.tcode4');     
		}
		if($gnl->code5status == 1){
		return redirect()->route('user.tcode5');     
		}
		if($gnl->otpstatus == 1){
		return redirect()->route('user.totp');     
		}
		return redirect()->route('user.ot.transfer.preview'); 		
		} 
		
		
        if ($request->code4)
		{
		if (Auth::user()->code4 != $request->code4) {
        return back()->withErrors('Invalid .'.$gnl->code4.' Please Try Again!!!');

        } 
		if($gnl->code5status == 1){
		return redirect()->route('user.tcode5');     
		} 
		if($gnl->otpstatus == 1){
		return redirect()->route('user.totp');     
		}
		return redirect()->route('user.ot.transfer.preview');       		
		} 
		
		
        if ($request->code5)
		{
		if (Auth::user()->code5 != $request->code5) {
        return back()->withErrors('Invalid .'.$gnl->code5.' Please Try Again!!!');
        }
		if($gnl->otpstatus == 1){
		return redirect()->route('user.totp');     
		}
		return redirect()->route('user.ot.transfer.preview');          
		} 


        if ($request->otp)
		{
		if (Auth::user()->otp != $request->otp) {
        return back()->withErrors('Invalid OTP Please Check Code & Try Again!!!');
        }
		return redirect()->route('user.ot.transfer.preview');          
		} 





    }
	
	  public function tcode2(Request $request)
    {

        $tnfp = Session::get('data');
        return view('user.code.code2', compact('tnfp'));

    }
	
	  public function tcode3(Request $request)
    {

        $tnfp = Session::get('data');
        return view('user.code.code3', compact('tnfp'));

    }
	
	  public function tcode4(Request $request)
    {

        $tnfp = Session::get('data');
        return view('user.code.code4', compact('tnfp'));

    }
	
	  public function tcode5(Request $request)
    {

        $tnfp = Session::get('data');
        return view('user.code.code5', compact('tnfp'));

    }
	
	  public function totp(Request $request)
    {

        $tnfp = Session::get('data');
        return view('user.code.otp', compact('tnfp'));

    }

	  public function sendotp(Request $request)
    {
	   $otp = substr(str_shuffle('01234567890') , 0 , 6 );
       $sender = User::find(Auth::user()->id);
       $sender['otp'] = $otp;
       $sender->update();
	   
	   $user = User::find(Auth::user()->id);
            $to_name = $user->username;
            $sitename = env('APP_NAME');
            $to_email = $user->email;
            $heading = "One Time Password";
            $msg = "Your Transaction One Time Password Is: ". $otp ;
           
            $data = array("name"=> $user->username,"heading"=>"One Time Password", "body" => $msg);

            Mail::send("mail", $data, function($message) use ($to_name,  $heading, $to_email) {
            $message->to($to_email, $to_name,  $heading)
            ->subject("One Time Password");

             $message->from(env('MAIL_USERNAME'),env('APP_NAME'));
            }); 
                
	    return redirect()->back()->with('success','Your transaction OTP has been sent to your email address. Please check your inbox or spam box for details');

    }


public function transferOtBankPreview(Request $request)
    {

        $tnfp = Session::get('data');
        $data = Session::get('data');
        
          $charge = 0 + ($tnfp['amount'] * 1 / 100);
            $amount = $tnfp['amount'] + $charge;
            if ($amount > Auth::user()->balance || $amount <= 0) {
                return back()->withErrors('Insufficient Account Balance');

            } else {

                $gnl = Setting::first();
                $sender = User::find(Auth::user()->id);
                $sender['balance'] = $sender->balance - $amount;
				$otp = substr(str_shuffle('01234567890') , 0 , 6 );
				$sender['otp'] = $otp; 
                $sender->update();
				
			
				$sender = User::find(Auth::user()->id);
                $senderTlog = new Transaction();
                $senderTlog['user_id'] = $sender->id;
                $senderTlog['amount'] = $tnfp['amount'];
                $senderTlog['balance'] = $sender->balance;
                $senderTlog['fee'] = $charge;
                $senderTlog['type'] = 7;
                $senderTlog['p_time'] = Carbon::now();
                $senderTlog['details'] = 'Fund Transfer of: '.Auth::user()->currency.'' . number_format($tnfp['amount'],2) . ' . to '.$tnfp['beneficiary']. '. Account Number : ' . $tnfp['account_number']. '. Account details : ' . $tnfp['details'];
                $senderTlog['trxid'] = 'tns:' . str_random(16);
                $senderTlog->save();
                                
                 $msg = 'Account Number	'.$tnfp['account_number'].'
                Date of Transaction	'.Carbon::now().';
                Value Date	'.Carbon::now().';
                Currency	'.$gnl->cur . '
                Description	Fund Transfer
                Reference Code	
                Branch	Head Office
                Transaction Type DEBIT
                Amount	' . $tnfp['amount'] . $gnl->cur . '
                Current Balance	 '. $sender->balance . $gnl->cur . '
                Available Balance	'. $sender->balance . $gnl->cur; 
                                
                $sms =  'Transfer balance to other Bank Name: ' . $tnfp['bank'].  ' . Branch name '.$tnfp['branch_name'] . ' Account Number : ' . $tnfp['account_number']. '. Account details : ' . $tnfp['details'].  '. Amount ' . $tnfp['amount'] . $gnl->cur . '. fee ' . $charge . $gnl->cur . '. Your current balance is ' . $sender->balance . $gnl->cur . '. Processing time ' ;
                send_sms($sender->mobile, $sms);
                
            $user = User::find(Auth::user()->id);
            $to_name = $user->username;
            $sitename = env('APP_NAME');
            $to_email = $user->email;
            $heading = "Debit Alert";
            
            $data = array("name"=> $user->username,"heading"=>"Debit Alert", "body" => $msg);

           // Mail::send("mail", $data, function($message) use ($to_name,  $heading, $to_email) {
          //  $message->to($to_email, $to_name,  $heading)
        //    ->subject("Debit Alert");

        //     $message->from(env('MAIL_USERNAME'),env('APP_NAME'));
         //   });
            }
                
        return view('user.otTfPreview', compact('tnfp'));

    }


    public function transferOtherBankConfirm(Request $request)
    {

        $this->validate($request, [
            'bank' => 'required',
            'details' => 'required',
            'branch_name' => 'required',
            'account_number' => 'required',
            'amount' => 'required|numeric',
        ]);
            $data = Session::get('data');
            $charge = 0 + ($request->amount * 1 / 100);
            $amount = $request->amount + $charge;
            if ($amount > Auth::user()->balance || $request->amount <= 0) {
                return back()->withErrors('Insufficient Account Balance');

            } else {

                $gnl = Setting::first();
                $sender = User::find(Auth::user()->id);
                $sender['balance'] = $sender->balance - $amount;
				$otp = substr(str_shuffle('01234567890') , 0 , 6 );
				$sender['otp'] = $otp; 
                $sender->update();
				
			
				$sender = User::find(Auth::user()->id);
                $senderTlog = new Transaction();
                $senderTlog['user_id'] = $sender->id;
                $senderTlog['amount'] = $request->amount;
                $senderTlog['balance'] = $sender->balance;
                $senderTlog['fee'] = $charge;
                $senderTlog['type'] = 7;
                $senderTlog['p_time'] = Carbon::now();
                $senderTlog['details'] = 'Fund Transfer of: '.Auth::user()->currency.'' . number_format($request->amount,2) . ' . to '.$request->beneficiary . '. Account Number : ' . $request->account_number. '. Account details : ' . $request->details;
                $senderTlog['trxid'] = 'tns:' . str_random(16);
                $senderTlog->save();
                                
                 $msg = 'Account Number	'.$request->account_number.'
                Date of Transaction	'.Carbon::now().';
                Value Date	'.Carbon::now().';
                Currency	'.$gnl->cur . '
                Description	Fund Transfer
                Reference Code	
                Branch	Head Office
                Transaction Type DEBIT
                Amount	' . $request->amount . $gnl->cur . '
                Current Balance	 '. $sender->balance . $gnl->cur . '
                Available Balance	'. $sender->balance . $gnl->cur; 
                                
                $sms =  'Transfer balance to other Bank Name: ' . $request->bank .  ' . Branch name '.$request->branch_name . ' Account Number : ' . $request->account_number. '. Account details : ' . $request->details.  '. Amount ' . $request->amount . $gnl->cur . '. fee ' . $charge . $gnl->cur . '. Your current balance is ' . $sender->balance . $gnl->cur . '. Processing time ' ;
                send_sms($sender->mobile, $sms);
                
            $user = User::find(Auth::user()->id);
            $to_name = $user->username;
            $sitename = env('APP_NAME');
            $to_email = $user->email;
            $heading = "Debit Alert";
            
            $data = array("name"=> $user->username,"heading"=>"Debit Alert", "body" => $msg);

            Mail::send("mail", $data, function($message) use ($to_name,  $heading, $to_email) {
            $message->to($to_email, $to_name,  $heading)
            ->subject("Debit Alert");

             $message->from(env('MAIL_USERNAME'),env('APP_NAME'));
            });
                
                
                


                
                
                
                
                return redirect()->route('user.dashboard')->with('success', 'Successful balance Transfer Request To ' . $request->bank . '. Amount ' . $request->amount . $gnl->cur . '. fee ' . $charge . $gnl->cur . '. Processing time ' .Carbon::now(). '. Your current balance is '. $sender->balance.$gnl->cur);


            }




    }

    public function bankData(Request $request)
    {
        $dada = Bank::where('id', $request->id)->first();
        return response()->json([
            'fixed_charge' => $dada->fixed_charge,
            'percent_charge' => $dada->percent_charge,
            'p_time' => $dada->p_time,
            'min_amount' => $dada->min_amount,
            'max_amount' => $dada->max_amount,
        ]);


    }


}
